Skip to main content
PUT
/
{alias}
/
config
/
checkout
/
{id}
Atualizar configuração do checkout
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/config/checkout/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "sequential_sale_number": true,
  "delivery_working_days": true,
  "show_shipping_in_cart": true,
  "show_products_links": true,
  "show_promocode": true,
  "max_daily_sales_by_ip": 123,
  "currency": "<string>",
  "unify_upsell": true,
  "person_type": "<string>",
  "text_footer": "<string>",
  "text_shipping": "<string>",
  "text_billet": "<string>",
  "text_card": "<string>",
  "redirect_url_billet": "<string>",
  "redirect_url_card": "<string>",
  "redirect_url_deposit": "<string>"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/config/checkout/{id}"

payload = {
"sequential_sale_number": True,
"delivery_working_days": True,
"show_shipping_in_cart": True,
"show_products_links": True,
"show_promocode": True,
"max_daily_sales_by_ip": 123,
"currency": "<string>",
"unify_upsell": True,
"person_type": "<string>",
"text_footer": "<string>",
"text_shipping": "<string>",
"text_billet": "<string>",
"text_card": "<string>",
"redirect_url_billet": "<string>",
"redirect_url_card": "<string>",
"redirect_url_deposit": "<string>"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sequential_sale_number: true,
delivery_working_days: true,
show_shipping_in_cart: true,
show_products_links: true,
show_promocode: true,
max_daily_sales_by_ip: 123,
currency: '<string>',
unify_upsell: true,
person_type: '<string>',
text_footer: '<string>',
text_shipping: '<string>',
text_billet: '<string>',
text_card: '<string>',
redirect_url_billet: '<string>',
redirect_url_card: '<string>',
redirect_url_deposit: '<string>'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/config/checkout/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "store_id": "1",
    "currency": "<string>",
    "show_shipping_in_cart": true,
    "show_shipping_time": true,
    "show_installment_warning": true,
    "auto_shipping_selection": true,
    "sequential_sale_number": true,
    "delivery_working_days": true,
    "max_daily_sales_by_ip": 123,
    "max_items_per_order": 123,
    "show_products_links": true,
    "show_birthday": true,
    "show_delivery_date": true,
    "shipping_deadline_as_date": true,
    "show_original_price_when_free_shipping": true,
    "active_rebuy": true,
    "password_required": true,
    "accumulate_discounts": true,
    "select_largest_installment": true,
    "always_requires_address": true,
    "use_product_brand": true,
    "skip_cart": true,
    "single_order_bump": true,
    "unify_upsell": true,
    "person_type": "<string>",
    "payment_auto_selected": "<string>",
    "brand_url": "<string>",
    "text_header": "<string>",
    "custom_css": "<string>",
    "text_footer": "<string>",
    "text_shipping": "<string>",
    "text_billet": "<string>",
    "text_card": "<string>",
    "header_text_background": "<string>",
    "button_color": "<string>",
    "phone": "<string>",
    "redirect_url_billet": "<string>",
    "redirect_url_card": "<string>",
    "redirect_url_pix_in_installments": "<string>",
    "redirect_url_deposit": "<string>",
    "redirect_url_upsell": "<string>",
    "stopwatch_minutes": 123,
    "domain": "<string>",
    "custom_script": "<string>",
    "custom_thankyou_script": "<string>",
    "custom_metatags": "<string>",
    "created_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "updated_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do checkout

Body

application/json

Representa os dados necessários para atualizar a configuração do checkout

sequential_sale_number
boolean
required

Número de venda sequencial

delivery_working_days
boolean
required

Dias úteis para entrega

show_shipping_in_cart
boolean
required

Mostrar frete no carrinho

Mostrar links dos produtos

show_promocode
boolean
required

Mostrar campo de código promocional

max_daily_sales_by_ip
integer
required

Máximo de vendas diárias por IP

currency
string
required

Moeda utilizada

unify_upsell
boolean

Unifica o Upsell no pedido original

person_type
string

Tipo de pessoa (física, jurídica, etc.)

Texto no rodapé do checkout

text_shipping
string

Texto sobre envio

text_billet
string

Texto sobre boleto

text_card
string

Texto sobre cartão

redirect_url_billet
string

URL de redirecionamento para boleto

redirect_url_card
string

URL de redirecionamento para cartão

redirect_url_deposit
string

URL de redirecionamento para depósito

Response

Configuração do checkout atualizada com sucesso

data
Configuração do checkout · object